diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index f80a03d..2ce4753 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -16203,10 +16203,14 @@ ContinuedFraction(R): Exports == Implementation where
             whi := eucWhole eval(mt, first apps - wh0); apps := rst apps
         concat([1,wlo], delay genReducedForm(wh0, apps, shift(mt, -wlo::Q)))
 
-    wholePart c           == c.value.whole
-    partialNumerators c   == map(#1.num, c.value.fract)$StreamFunctions2(Rec,R)
-    partialDenominators c == map(#1.den, c.value.fract)$StreamFunctions2(Rec,R)
-    partialQuotients c    == concat(c.value.whole, partialDenominators c)
+    wholePart c == 
+      c.value.whole
+    partialNumerators c == 
+      map(x1+->x1.num, c.value.fract)$StreamFunctions2(Rec,R)
+    partialDenominators c == 
+      map(x1+->x1.den, c.value.fract)$StreamFunctions2(Rec,R)
+    partialQuotients c == 
+      concat(c.value.whole, partialDenominators c)
 
     approximants c ==
       empty? c.value.fract => repeating [c.value.whole::Q]
@@ -16258,16 +16262,16 @@ ContinuedFraction(R): Exports == Implementation where
     0 == (0$R) :: %
     1 == (1$R) :: %
 
-    c + d   == genFromSequence map(#1 + #2, apx c, apx d)
-    c - d   == genFromSequence map(#1 - #2, apx c, rest apx d)
-    - c     == genFromSequence map(   - #1, rest apx c)
-    c * d   == genFromSequence map(#1 * #2, apx c, apx d)
-    a * d   == genFromSequence map( a * #1, apx d)
-    q * d   == genFromSequence map( q * #1, apx d)
-    n * d   == genFromSequence map( n * #1, apx d)
-    c / d   == genFromSequence map(#1 / #2, apx c, rest apx d)
+    c + d   == genFromSequence map((x,y) +-> x + y, apx c, apx d)
+    c - d   == genFromSequence map((x,y) +-> x - y, apx c, rest apx d)
+    - c     == genFromSequence map(x +-> - x, rest apx c)
+    c * d   == genFromSequence map((x,y) +-> x * y, apx c, apx d)
+    a * d   == genFromSequence map(x +-> a * x, apx d)
+    q * d   == genFromSequence map(x +-> q * x, apx d)
+    n * d   == genFromSequence map(x +-> n * x, apx d)
+    c / d   == genFromSequence map((x,y) +-> x / y, apx c, rest apx d)
     recip c ==(c = 0 => "failed";
-	       genFromSequence map( 1 / #1, rest apx c))
+	       genFromSequence map(x +-> 1/x, rest apx c))
 
     showAll?: () -> Boolean
     showAll?() ==
diff --git a/changelog b/changelog
index 67f1e30..134a925 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090509 tpd src/axiom-website/patches.html 20090509.09.tpd.patch
+20090509 tpd books/bookvol10.3 CONTFRAC +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.08.tpd.patch
 20090509 tpd books/bookvol10.4 INTAF +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.07.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1ba9be6..10fe583 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1148,5 +1148,7 @@ bookvol10.3 BOP +-> conversion<br/>
 bookvol10.2 PSETCAT +-> conversion<br/>
 <a href="patches/20090509.08.tpd.patch">20090509.08.tpd.patch</a>
 bookvol10.4 INTAF +-> conversion<br/>
+<a href="patches/20090509.09.tpd.patch">20090509.09.tpd.patch</a>
+bookvol10.3 CONTFRAC +-> conversion<br/>
  </body>
 </html>
